apiVersion: shipwright.io/v1beta1
kind: BuildRun
metadata:
  generateName: nodejs-app-
  resourceVersion: '59745'
  name: nodejs-app-xkxjv
  uid: a97e0282-e34d-4f84-a30f-527ad97e2eac
  creationTimestamp: '2024-08-27T12:27:23Z'
  generation: 1
  managedFields:
    - apiVersion: shipwright.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:build.shipwright.io/name': {}
        'f:spec':
          .: {}
          'f:build':
            .: {}
            'f:name': {}
      manager: Mozilla
      operation: Update
      time: '2024-08-27T12:27:23Z'
    - apiVersion: shipwright.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            'f:build.shipwright.io/generation': {}
      manager: openshift-builds-controller
      operation: Update
      time: '2024-08-27T12:27:23Z'
    - apiVersion: shipwright.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:buildSpec':
            .: {}
            'f:output':
              .: {}
              'f:image': {}
            'f:paramValues': {}
            'f:source':
              .: {}
              'f:contextDir': {}
              'f:git':
                .: {}
                'f:url': {}
              'f:type': {}
            'f:strategy':
              .: {}
              'f:kind': {}
              'f:name': {}
          'f:completionTime': {}
          'f:conditions': {}
          'f:startTime': {}
          'f:taskRunName': {}
      manager: openshift-builds-controller
      operation: Update
      subresource: status
      time: '2024-08-27T12:27:23Z'
  namespace: demo
  labels:
    build.shipwright.io/generation: '1'
    build.shipwright.io/name: nodejs-app
spec:
  build:
    name: nodejs-app
status:
  buildSpec:
    output:
      image: 'image-registry.openshift-image-registry.svc:5000/demo/nodejs-app'
    paramValues:
      - name: registries-block
      - name: registries-insecure
      - name: registries-search
        values:
          - value: registry.redhat.io
          - value: quay.io
      - name: storage-driver
        value: vfs
      - name: builder-image
        value: registry.redhat.io/rhel9/nodejs-18
    source:
      contextDir: ''
      git:
        url: 'https://github.com/sclorg/nodejs-ex'
      type: Git
    strategy:
      kind: ClusterBuildStrategy
      name: source-to-image
  completionTime: '2024-08-27T12:27:23Z'
  conditions:
    - lastTransitionTime: '2024-08-27T12:27:23Z'
      message: '[User error] invalid input params for task nodejs-app-xkxjv-cmdfr: param types don''t match the user-specified type: [registries-block registries-insecure]'
      reason: TaskRunValidationFailed
      status: 'False'
      type: Succeeded
  startTime: '2024-08-27T12:27:23Z'
  taskRunName: nodejs-app-xkxjv-cmdfr
